//
//  TitlePageFrame.swift
//  DouShouQi_App
//
//  Created by Nathan Verdier on 26/05/2024.
//

import SwiftUI
 
struct TopGameBoard: View {
    var body: some View {
        VStack {
            HStack {
                Circle()
                    .fill(Color.white)
                    .frame(width: 40, height: 40)
                Text("Player 1 Turn")
                    .font(.title)
                    .foregroundColor(.white)
            }
            .padding()
            .background(Color.red)
            .cornerRadius(10)
            
            Spacer().frame(height: 20)
            
            HStack {
                HStack {
                    Image(systemName: "clock")
                        .resizable()
                        .frame(width: 30, height: 30)
                    Text("4:11")
                        .font(.title)
                        .foregroundColor(.black)
                }
                
                Spacer()
                
                HStack {
                    Text("Last moove :")
                        .font(.title2)
                        .foregroundColor(.black)
                    /*Image(systemName: "cheetah")
                        .resizable()
                        .frame(width: 30, height: 30)*/
                    Text("🦁")
                    Text("2.3")
                        .font(.title2)
                        .foregroundColor(.black)
                }
            }
            .padding()
            .background(Color.white)
            .cornerRadius(10)
            
            Spacer()
        }
        .padding()
        .background(Color.red.opacity(0.5))
    }
}
 
struct TopGameBoard_Previews: PreviewProvider {
    static var previews: some View {
        TopGameBoard()
    }
}
